Subject: [Ecrit] RFC 5031bis - Service URNs

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 3 Dec 2008 09:44:59 +0200

At the IETF#73 ECRIT meeting we spoke about producing a RFC 5031bis. 

The problem is that the current document demands a Standards Track
document for
allocating a new top-level top-level service
labels.

This turned out to make our own work more difficult.

During the meeting I suggested the following: 
- Work on RFC5031bis to change allocation policy
- Submit draft-forte-ecrit-service-classification and
draft-sun-ecrit-shelter-service as informational/experimental documents
to the RFC Editor after Expert Review from the ECRIT working group.

I recall that some folks had some comments about the allocation policy
they would like to see. Unfortunately, the meeting minutes do not
capture the issue. I did listen to the audio recording (see
ftp://videolab.uoregon.edu/pub/videolab/media/ietf73/) and noticed that
Ted argued for "Specification Required" (instead of "Expert Review"). 

When you look at RFC 5226 then you will find a description of what the
difference between "Specification Required" and "Expert Review" is. Here
is the description for "Specification Required":

      Specification Required - Values and their meanings must be
            documented in a permanent and readily available public
            specification, in sufficient detail so that interoperability
            between independent implementations is possible.  When used,
            Specification Required also implies use of a Designated
            Expert, who will review the public specification and
            evaluate whether it is sufficiently clear to allow
            interoperable implementations.  The intention behind
            "permanent and readily available" is that a document can
            reasonably be expected to be findable and retrievable long
            after IANA assignment of the requested value.  Publication
            of an RFC is an ideal means of achieving this requirement,
            but Specification Required is intended to also cover the
            case of a document published outside of the RFC path.  For
            RFC publication, the normal RFC review process is expected
            to provide the necessary review for interoperability, though
            the Designated Expert may be a particularly well-qualified
            person to perform such a review.

            Examples: Diffserv-aware TE Bandwidth Constraints Model
            Identifiers [RFC4124], TLS ClientCertificateType Identifiers
            [RFC4346], ROHC Profile Identifiers [RFC4995].

Are you happy about this approach?

Ciao
Hannes
_______________________________________________
Ecrit mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ecrit

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Wed, 3 Dec 2008 14:42:12 +0100

Does this apply only for top level?

What I believe we should retain is that any sub-service under the "sos"
top-level should be standards track. I believe that we need IETF review
of those to ensure that they really should be classed as an emergency
situation and not something else.

If we relax the rules for new top-level identifiers, I believe we do
need to provide more guidance on what is a valid service urn value, and
what is not (and therefore should use some other construct in SIP or
other protocol).

regards

Keith

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Tschofenig, Hannes (NSN - FI/Espoo)
> Sent: Wednesday, December 03, 2008 7:45 AM
> To: ECRIT
> Subject: [Ecrit] RFC 5031bis - Service URNs
> 
> The problem is that the current document demands a Standards 
> Track document for allocating a new top-level top-level 
> service labels.
> 
> draft-sun-ecrit-shelter-service as informational/experimental 
> documents to the RFC Editor after Expert Review from the 
> ECRIT working group.
> 
> I recall that some folks had some comments about the 
> allocation policy they would like to see. Unfortunately, the 
> meeting minutes do not capture the issue. I did listen to the 
> audio recording (see
> ftp://videolab.uoregon.edu/pub/videolab/media/ietf73/) and 
> noticed that Ted argued for "Specification Required" (instead 
> of "Expert Review"). 
> 
> When you look at RFC 5226 then you will find a description of 
> what the difference between "Specification Required" and 
> "Expert Review" is. Here is the description for 
> "Specification Required":
>

---

From: Richard Barnes <[email-masked]>
Date: Wed, 03 Dec 2008 07:47:52 -0600

Keith,

So to be clear, under your proposal, I would need IETF review to 
register "urn:service:sos.foo", but perhaps less review to register 
"urn:service:foo"?

If that's right, this plan makes sense to me.  IETF gets to manage the 
"urn:service:sos" heirarchy, but others could go through with less 
review.  Definitely agree that more guidance is necessary on what OK to 
go under "urn:service:".

--Richard

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Wed, 3 Dec 2008 14:50:13 +0100

Correct.

Keith 

> From: Richard Barnes [mailto:[email-masked]] 
> Sent: Wednesday, December 03, 2008 1:48 PM
> To: DRAGE, Keith (Keith)
> Cc: Tschofenig, Hannes (NSN - FI/Espoo); ECRIT
> Subject: Re: [Ecrit] RFC 5031bis - Service URNs
> 
> Keith,
> 
> So to be clear, under your proposal, I would need IETF review 
> to register "urn:service:sos.foo", but perhaps less review to 
> register "urn:service:foo"?
> 
> If that's right, this plan makes sense to me.  IETF gets to 
> manage the "urn:service:sos" heirarchy, but others could go 
> through with less review.  Definitely agree that more 
> guidance is necessary on what OK to go under "urn:service:".
> 
> --Richard
> 
> 
> 
> > top-level should be standards track. I believe that we need IETF 
> > review of those to ensure that they really should be classed as an 
> > emergency situation and not something else.
> > 
> > need to provide more guidance on what is a valid service urn value, 
> > and what is not (and therefore should use some other 
> construct in SIP 
> > or other protocol).
> > 
> > regards
> > 
> > Keith
> >  
> > 
> >> From: [email-masked] [mailto:[email-masked]] On 
> >> Behalf Of Tschofenig, Hannes (NSN - FI/Espoo)
> >> document for allocating a new top-level top-level service labels.
> >>
> >> documents to the RFC Editor after Expert Review from the ECRIT 
> >> working group.
> >>
> >> I recall that some folks had some comments about the allocation 
> >> policy they would like to see. Unfortunately, the meeting 
> minutes do 
> >> not capture the issue. I did listen to the audio recording (see
> >> ftp://videolab.uoregon.edu/pub/videolab/media/ietf73/) and noticed 
> >> that Ted argued for "Specification Required" (instead of "Expert 
> >> Review").
> >>
> >> When you look at RFC 5226 then you will find a description of what 
> >> the difference between "Specification Required" and 
> "Expert Review" 
> >> is. Here is the description for "Specification Required":
> >>

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 3 Dec 2008 16:34:57 +0200

Good that you raised this issue. 

My comment was only about the allocation of top-level services. 
The allocation strategy for sub-services depends on what is defined by
the specification standardizing the top-level service. 

For the sub-services of the 'sos service the allocation strategy is
currently expert review: 

"
   Additional sub-services can
   be added after expert review and must be of general public interest
   and have a similar emergency nature.  The expert is designated by the
   ECRIT working group, its successor, or, in their absence, the IESG.
   The expert review should only approve emergency services that are
   offered widely and in different countries, with approximately the
   same caller expectation in terms of services rendered.  The 'sos'
   service is not meant to invoke general government, public
   information, counseling, or social services.
"

I did not plan to change this part. 

Ciao
Hannes

>From: ext DRAGE, Keith (Keith) [mailto:[email-masked]] 
>Sent: 03 December, 2008 15:42
>To: Tschofenig, Hannes (NSN - FI/Espoo); ECRIT
>Subject: RE: [Ecrit] RFC 5031bis - Service URNs
>
>top-level should be standards track. I believe that we need 
>IETF review of those to ensure that they really should be 
>classed as an emergency situation and not something else.
>
>If we relax the rules for new top-level identifiers, I believe 
>we do need to provide more guidance on what is a valid service 
>urn value, and what is not (and therefore should use some 
>other construct in SIP or other protocol).
>
>regards
>
>Keith
> 
>
>ECRIT working 
>> group.
>allocation policy 
>> difference between "Specification Required" and "Expert Review" is. 
>> Here is the description for "Specification Required":
>>

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 3 Dec 2008 16:35:32 +0200

This is not what RFC 5031 says.  

>From: ext Richard Barnes [mailto:[email-masked]] 
>Sent: 03 December, 2008 15:48
>To: DRAGE, Keith (Keith)
>through with less review.  Definitely agree that more guidance 
>is necessary on what OK to go under "urn:service:".
>
>--Richard
>
>
>
>>> the difference between "Specification Required" and "Expert Review"

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 3 Dec 2008 16:38:19 +0200

Why do you see a problem with the current allocation policy of expert
review the IETF ECRIT WG (its successor, or, in their absence, the
IESG)? 

>On Behalf Of ext DRAGE, Keith (Keith)
>Sent: 03 December, 2008 15:50
>To: Richard Barnes
>manage the 
>> review.  Definitely agree that more guidance is necessary on what OK 
>> to go under "urn:service:".
>> 
>> --Richard
>> 
>> 
>>

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Wed, 3 Dec 2008 15:43:32 +0100

Well I must admit I looked quickly and read something different and
wrongly.

If I was starting from scratch, I think I would write "standards track"
for the subservices of sos, but I cannot point to any problems with the
existing strategy, so on that basis there is no need to change it.

The main point I was making anyway is that we must not have a lower
level for "sos" and that we do need clear guidance to stop people
registering urns where there are more appropriate places to put
information other than a URI.

Keith

> From: Tschofenig, Hannes (NSN - FI/Espoo) 
> [mailto:[email-masked]] 
> Sent: Wednesday, December 03, 2008 2:36 PM
> To: ext Richard Barnes; DRAGE, Keith (Keith)
> Cc: ECRIT

---

From: Ted Hardie <[email-masked]>
Date: Wed, 3 Dec 2008 09:56:27 -0800

>information other than a URI.

I'm not sure what "lower level for 'sos'" means, exactly, but I believe
using "specification required" for top-level and expert review for those
under sos is reasonable.    The Designated Expert for "specification required"
may or may not be the same as for "sos".

				Ted

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Thu, 4 Dec 2008 01:42:32 +0100

I would like to keep sub-services at the same strength of review as the
top level. For the existing top-levels that requires no change to keep
it at specification required.

Keith

> From: Ted Hardie [mailto:[email-masked]] 
> Sent: Wednesday, December 03, 2008 5:56 PM
> To: DRAGE, Keith (Keith); Tschofenig, Hannes (NSN - 
> FI/Espoo); ext Richard Barnes
> Cc: ECRIT
> I'm not sure what "lower level for 'sos'" means, exactly, but 
> I believe using "specification required" for top-level and 
> expert review for those
> allocation 
> >> >>>             to provide the necessary review for 
> interoperability, 
> >> >>> though

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 31 Dec 2008 11:31:28 +0200

Keith, 

Are you saying that the current allocation policy is fine for you? 

Did you notice that we ran into problems with LoST usage for
non-emergency services with the current allocation policy? 

There is no reason to have the same allocation policy for top-level
services as for sub-services. It just depends on the semantic of the
sub-service to decide what would be reasonable todo. 

Ciao
Hannes
 
>Sent: 04 December, 2008 02:43
>To: Ted Hardie; Tschofenig, Hannes (NSN - FI/Espoo); ext Richard Barnes
>Cc: ECRIT
>I would like to keep sub-services at the same strength of 
>review as the top level. For the existing top-levels that 
>requires no change to keep it at specification required.
>
>Keith
>
>> To: DRAGE, Keith (Keith); Tschofenig, Hannes (NSN - FI/Espoo); ext 
>> Richard Barnes
>> Cc: ECRIT
>> I'm not sure what "lower level for 'sos'" means, exactly, but I 
>> believe using "specification required" for top-level and 
>expert review 
>> for those